PDA

View Full Version : firefox 3.5 or 3.6 on fedora 15



Kingtu
17th March 2012, 05:00 AM
I need an older version of firefox so that I can use vmware server 2. the vmware console plugin is not compatable with firefox 4 but I knw it works with 3.6 or 3.5 because it worked in fedora 13.
I have downloaded firefox 3.5 tarbal
untar to home dir
ln -s /home/userx/firefox-3.5/firefox firefox
but when I try to execute firefox using that dir or symbolic link I just get: firefox-3.5/firefox-bin: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
but when I search for that lib it is installed here: /usr/lib64/libgtk-x11-2.0.so.0
/usr/lib64/libgtk-x11-2.0.so.0.2400.7

can anyone help??? there are instructions for ubuntu and debian but they don't seem to work on fedora 15???

SteveGYBE
17th March 2012, 11:15 AM
The problem is you appear to have have a x86_64 machine running 64-bit Fedora, but the version of Firefox you are trying to run is a 32-bit version, so it is looking for libraries in "/usr/lib" rather than "/usr/lib64", which is the default location on your machine.

You can of course install the 32-bit version of "gtk2" no problem
yum install gtk2.i686However, once you have got that library (and its i686 dependencies) installed, I expect you will find a number of similar libraries which need their 32-bit equivalents installing as well!